# @(#) dbutil.inc - B.08.30 ($Revision: 28.2 $)
# (C) Copyright 2002-2018 Marxmeier Software AG
# All rights reserved.
#
# $Id: dbutil.inc,v 28.2 2018/05/24 13:53:09 mike Exp $
#
# This dialog file is used by the dbutil utility and 
# is installed in /opt/eloquence/8.3/lib
#
# Change History:
# 10.03.2003, mike  - fixed W_GroupSel.f7
# 26.11.2007, mike  - fixed Model.CANCEL_btn Model.OK_btn (consistency)
# 28.01.2010, mike  - add operator (user property)
# 18.05.2010, mike  - add password confirmation (user property)

# ----------------------------------------------------------------------
#
# login dialog
#
# ----------------------------------------------------------------------

Window W_Entry {
 .w = 64
 .h = 12
 .x = -1
 .y = -1
 .help = "#Entry"
 .title = "DBUTIL - Database Maintenenance Utility"
 .f4 = EvntLog
 .f7 = EvntOK
 .f8 = EvntCancel

 Model.LABEL St_server {
  .x = 2
  .y = 2
  .text = "Database Server"
 }
 Model.EDIT Server {
  .w = 60
  .x = 2
  .y = 3
  .maxchars = 80
 }

 Model.LABEL St_user {
  .x = 2
  .y = 4
  .text = "User"
 }
 Model.EDIT User {
  .w = 40
  .x = 2
  .y = 5
  .maxchars = 80
 }

 Model.LABEL St_pswd {
  .x = 2
  .y = 6
  .text = "Password"
 }
 Model.EDIT Pswd {
  .w = 40
  .x = 2
  .y = 7
  .maxchars = 80
  .ispassword = 1
 }
 
 Model.OK_btn Pb_ok {
  .x = 41
  .y = 10
 }

 Model.CANCEL_btn Pb_cancel {
  .x = 52
  .y = 10
  .text = " &8. Exit "
 }

 Model.LOG_btn Pb_log {
  .x = 13
  .y = 10
 }

 Model.HELP_btn Pb_help {
  .x = 2
  .y = 10
 }
}


# ----------------------------------------------------------------------
#
# main menu
#
# ----------------------------------------------------------------------

Window W_Main {
 .w = 78
 .h = 24
 .x = -1
 .y = -1
 .help = "#Main"
 .title = "DBUTIL - Main"
 .cr = 1
 .f4 = EvntLog
 .f8 = EvntCancel

 Model.OFLABEL St_server {
  .w = 15
  .x = 2
  .y = 2
  .text = "Server"
 }
 Model.OFIELD Server {
  .w = 54
  .x = 17
  .y = 2
 }

 Model.OFLABEL St_user {
  .w = 15
  .x = 2
  .y = 3
  .text = "User"
 }
 Model.OFIELD User {
  .w = 54
  .x = 17
  .y = 3
 }
 
 Model.OFLABEL St_db {
  .w = 15
  .x = 2
  .y = 4
  .text = "Database"
 }

 Model.OFIELD Db {
  .w = 54
  .x = 17
  .y = 4
 }

 Model.OFLABEL St_script {
  .w = 15
  .x = 2
  .y = 5
  .text = "Session script"
 }

 Model.OFIELD Script {
  .w = 54
  .x = 17
  .y = 5
 }

 Model.HEADER St_lb {
  .w = 64
  .x = 2
  .y = 7
  .text = "Please select an option"
 }

 Model.LIST Lb {
  .w = 74
  .h = 10
  .x = 2
  .y = 8
  .line[1] = "1. User maintenance"
  .line[2] = "2. Database security"
  .line[3] = "3. TurboIMAGE properties"
  .line[4] = "4. Database properties"
  .line[5] = "5. Rename database"
  .line[6] = "6. Select Database"
  .line[7] = "7. Save session to script file"
  .border = 0
  .rule = 1
 }

 Model.CANCEL_btn pb_cancel {
  .x = 66
  .y = 22
  .text = " &8. Exit "
 }

 Model.HELP_btn Pb_help {
  .x = 2
  .y = 22
 }

 Model.LOG_btn Pb_log {
  .x = 13
  .y = 22
 }
}


# ----------------------------------------------------------------------
#
# User management
#
# ----------------------------------------------------------------------

Window W_UserList {
 .w = 60
 .h = 22
 .x = -1
 .y = -1
 .help = "#UserList"
 .title = "DBUTIL - User Maintenance"
 .cr = 1
 .f4 = EvntLog
 .f5 = EvntEdit
 .f7 = EvntOK
 .f8 = EvntCancel

 Model.LABEL St_Filter {
  .x = 2
  .y = 2
  .text = "&Filter"
 }

 Model.EDIT Filter {
  .w = 32
  .x = 9
  .y = 2
  .rule = 777
 }

 Model.CHECK ByName {
  .x = 46
  .y = 2
  .text = "By &Name"
  .rule = 778
 }

 Model.HEADER St_lb {
  .w = 56
  .x = 2
  .y = 4
  .text = "UID User                             PW Prop"
  #        123 123456789.123456789.123456789.12 1  123
 }

 Model.LIST Lb {
  .w = 56
  .h = 14
  .x = 2
  .y = 5
  .border = 0
  .rule = 1
 }

 Model.OK_btn Pb_ok {
  .x = 37
  .y = 20
 }

 Model.CLOSE_btn Pb_close {
  .x = 48
  .y = 20
  .visible = 1
 }
 Model.CANCEL_btn Pb_cancel {
  .x = 48
  .y = 20
  .visible = 0
 }

 Model.NEW_btn Pb_create {
  .x = 21
  .y = 20
 }

 Model.LOG_btn Pb_log {
  .x = 12
  .y = 20
 }

 Model.HELP_btn Pb_help {
  .x = 2
  .y = 20
 }
}

Window W_UserSel {
 .w = 60
 .h = 22
 .x = -1
 .y = -1
 .help = "#UserSel"
 .title = "DBUTIL - Select user"
 .cr = 1
 .f4 = EvntLog
 .f7 = EvntOK
 .f8 = EvntCancel

 Model.LABEL St_Filter {
  .x = 2
  .y = 2
  .text = "&Filter"
 }

 Model.EDIT Filter {
  .w = 32
  .x = 9
  .y = 2
  .rule = 777
 }

 Model.CHECK ByName {
  .x = 46
  .y = 2
  .text = "By &Name"
  .rule = 778
 }

 Model.HEADER St_lb {
  .w = 56
  .x = 2
  .y = 4
  .text = "UID User"
  #        123 123456789.123456789.123456789.12
 }

 Model.LIST Lb {
  .w = 56
  .h = 14
  .x = 2
  .y = 5
  .border = 0
  .rule = 1
 }

 Model.OK_btn Pb_ok {
  .x = 36
  .y = 20
 }

 Model.CANCEL_btn Pb_cancel {
  .x = 48
  .y = 20
 }

 Model.LOG_btn Pb_log {
  .x = 12
  .y = 20
 }

 Model.HELP_btn Pb_help {
  .x = 2
  .y = 20
 }
}

Window W_UserProperties {
 .w = 56
 .h = 16
 .x = -1
 .y = -1
 .help = "#UserProperties"
 .title = "DBUTIL - User Properties"
 .f4 = EvntLog
 .f6 = EvntMenu
 .f7 = EvntOK
 .f8 = EvntCancel

 Model.OFLABEL St_UserIdx {
  .x = 2
  .y = 2
  .text = "User ID"
 }

 Model.OFIELD Uid {
  .w = 5
  .x = 14
  .y = 2
 }

 Model.LABEL St_UserName {
  .x = 2
  .y = 3
  .text = "User Name"
 }

 Model.EDIT UserName {
  .w = 20
  .x = 14
  .y = 3
  .maxchars = 80
  .content = ""
 }

 Model.LABEL St_UserPasswd {
  .x = 2
  .y = 5
  .text = "Password"
 }

 Model.CHECK UserChangePasswd {
  .x = 14
  .y = 5
  .text = "Change password"
 }

 Model.EDIT UserPasswd {
  .w = 20
  .x = 14
  .y = 6
  .maxchars = 80
  .content = ""
  .ispassword = 1
 }

 Model.LABEL St_UserPasswdSpecify {
  .x = 36
  .y = 6
  .text = "(specify)"
 }

 Model.EDIT UserPasswd2 {
  .w = 20
  .x = 14
  .y = 7
  .maxchars = 80
  .content = ""
  .ispassword = 1
 }

 Model.LABEL St_UserPasswd2Confirm {
  .x = 36
  .y = 7
  .text = "(confirm)"
 }

 Model.OFIELD LastPasswdChangeDate {
  .w = 10
  .x = 36
  .y = 5
 }

 Model.LABEL St_UserPrivileges {
  .x = 2
  .y = 9
  .text = "Privileges"
 }

 Model.CHECK UserPrivDBA {
  .x = 14
  .y = 9
  .text = "DBA"
 }

 Model.CHECK UserPrivUdamin {
  .x = 14
  .y = 10
  .text = "User Admin"
 }

 Model.CHECK UserPrivOperator {
  .x = 14
  .y = 11
  .text = "Operator"
 }

 Model.CHECK UserPrivConnect {
  .x = 14
  .y = 12
  .text = "Connect"
 }

 Model.OK_btn Pb_ok {
  .x = 33
  .y = 14
 }

 Model.CANCEL_btn Pb_cancel {
  .x = 44
  .y = 14
 }

 Model.DEL_btn Pb_delete {
  .x = 22
  .y = 14
 }

 Model.LOG_btn Pb_log {
  .x = 11
  .y = 14
 }

 Model.HELP_btn Pb_help {
  .x = 2
  .y = 14
 }
}


# ----------------------------------------------------------------------
#
# db security menu
#
# ----------------------------------------------------------------------

Window W_DbSecurity {
 .w = 70
 .h = 22
 .x = -1
 .y = -1
 .help = "#DbSecurity"
 .title = "DBUTIL - Database Security"
 .cr = 1
 .f4 = EvntLog
 .f7 = EvntOK
 .f8 = EvntCancel

 Model.OFLABEL St_db {
  .w = 15
  .x = 2
  .y = 2
  .text = "Database"
 }
 Model.OFIELD Db {
  .w = 40
  .x = 11
  .y = 2
 }
 
 Model.HEADER St_lb {
  .w = 66
  .x = 2
  .y = 4
  .text = "Please select an option"
 }

 Model.LIST Lb {
  .w = 66
  .h = 14
  .x = 2
  .y = 5
  .line[1] = "1. Manage Database Groups"
  .line[2] = "2. Manage Group Members"
  .line[3] = "3. Manage Group Privileges"
  .line[4] = "4. Manage Dataset Access Privileges"
  .border = 0
  .rule = 1
 }

 Model.OK_btn Pb_ok {
  .x = 47
  .y = 20
  .visible = 0
 }

 Model.CLOSE_btn Pb_close {
  .x = 58
  .y = 20
  .visible = 1
 }
 Model.CANCEL_btn Pb_cancel {
  .x = 58
  .y = 20
  .visible = 0
 }

 Model.HELP_btn Pb_help {
  .x = 2
  .y = 20
 }

 Model.LOG_btn Pb_log {
  .x = 13
  .y = 20
 }
}


# ----------------------------------------------------------------------
#
# database selection
#
# ----------------------------------------------------------------------

Window W_DbSel {
 .w = 60
 .h = 22
 .x = -1
 .y = -1
 .help = "#DbSel"
 .title = "DBUTIL - Select Database"
 .cr = 1
 .f4 = EvntLog
 .f8 = EvntCancel

 Model.LABEL St_Filter {
  .x = 2
  .y = 2
  .text = "&Filter"
 }

 Model.EDIT Filter {
  .w = 32
  .x = 9
  .y = 2
  .rule = 777
 }

 Model.CHECK ByID {
  .x = 46
  .y = 2
  .text = "By &ID"
  .rule = 778
 }

 Model.HEADER St_lb {
  .w = 56
  .x = 2
  .y = 4
  .text = "DBID Database name"
 }

 Model.LIST Lb {
  .w = 56
  .h = 14
  .x = 2
  .y = 5
  .border = 0
  .rule = 1
 }

 Model.CLOSE_btn Pb_close {
  .x = 48
  .y = 20
 }

 Model.LOG_btn Pb_log {
  .x = 12
  .y = 20
 }

 Model.HELP_btn Pb_help {
  .x = 2
  .y = 20
 }
}


# ----------------------------------------------------------------------
#
# Database access groups
#
# ----------------------------------------------------------------------

Window W_GroupList {
 .w = 60
 .h = 22
 .x = -1
 .y = -1
 .help = "#GroupList"
 .title = "DBUTIL - Database Groups"
 .cr = 1
 .f4 = EvntLog
 .f5 = EvntEdit
 .f8 = EvntCancel

 Model.LABEL St_Filter {
  .x = 2
  .y = 2
  .text = "&Filter"
 }

 Model.EDIT Filter {
  .w = 32
  .x = 9
  .y = 2
  .rule = 777
 }

 Model.CHECK ByName {
  .x = 46
  .y = 2
  .text = "By &Name"
  .rule = 778
 }

 Model.HEADER St_lb {
  .w = 56
  .x = 2
  .y = 4
  .text = "GID Group                            Prop"
  #        123 123456789.123456789.123456789.12 123
 }

 Model.LIST Lb {
  .w = 56
  .h = 14
  .x = 2
  .y = 5
  .border = 0
  .rule = 1
 }

 Model.CLOSE_btn Pb_close {
  .x = 48
  .y = 20
 }

 Model.NEW_btn Pb_create {
  .x = 21
  .y = 20
 }

 Model.LOG_btn Pb_log {
  .x = 12
  .y = 20
 }

 Model.HELP_btn Pb_help {
  .x = 2
  .y = 20
 }
}

Window W_GroupSel {
 .w = 60
 .h = 22
 .x = -1
 .y = -1
 .help = "#GroupSel"
 .title = "DBUTIL - Database Groups"
 .cr = 1
 .f4 = EvntLog
 .f7 = EvntOK
 .f8 = EvntCancel

 Model.LABEL St_Filter {
  .x = 2
  .y = 2
  .text = "&Filter"
 }

 Model.EDIT Filter {
  .w = 32
  .x = 9
  .y = 2
  .rule = 777
 }

 Model.CHECK ByName {
  .x = 46
  .y = 2
  .text = "By &Name"
  .rule = 778
 }

 Model.HEADER St_lb {
  .w = 56
  .x = 2
  .y = 4
  .text = "GID Group                            Prop"
  #        123 123456789.123456789.123456789.12 12
 }

 Model.LIST Lb {
  .w = 56
  .h = 14
  .x = 2
  .y = 5
  .border = 0
  .rule = 1
 }

# used with single set selection

 Model.CLOSE_btn Pb_close {
  .x = 48
  .y = 20
  .visible = 1
 }

# used with multiple set selections

 Model.OK_btn Pb_ok {
  .x = 36
  .y = 20
  .visible = 0
 }
 Model.CANCEL_btn Pb_cancel {
  .x = 48
  .y = 20
  .visible = 0
 }

 Model.LOG_btn Pb_log {
  .x = 12
  .y = 20
 }

 Model.HELP_btn Pb_help {
  .x = 2
  .y = 20
 }
}

Window W_GroupProperties {
 .w = 56
 .h = 14
 .x = -1
 .y = -1
 .help = "#GroupProp"
 .title = "DBUTIL - Group Properties"
 .f4 = EvntLog
 .f6 = EvntMenu
 .f7 = EvntOK
 .f8 = EvntCancel

 Model.OFLABEL St_GroupId {
  .x = 2
  .y = 2
  .text = "Group ID"
 }

 Model.OFIELD Gid {
  .w = 5
  .x = 14
  .y = 2
 }

 Model.LABEL St_GroupName {
  .x = 2
  .y = 3
  .text = "Group Name"
 }

 Model.EDIT GroupName {
  .w = 20
  .x = 14
  .y = 3
  .maxchars = 32
  .content = ""
 }

 Model.LABEL St_GroupPrivileges {
  .x = 2
  .y = 8
  .text = "Privileges"
 }

 Model.CHECK GroupPrivDBA {
  .x = 14
  .y = 8
  .text = "Database administration (DADMIN)"
 }

 Model.CHECK GroupPrivGadmin {
  .x = 14
  .y = 9
  .text = "Assign Privileges (DBPRIV)"
 }

 Model.OK_btn Pb_ok {
  .x = 33
  .y = 12
 }

 Model.CANCEL_btn Pb_cancel {
  .x = 44
  .y = 12
 }

 Model.DEL_btn Pb_delete {
  .x = 22
  .y = 12
 }

 Model.LOG_btn Pb_log {
  .x = 11
  .y = 12
 }

 Model.HELP_btn Pb_help {
  .x = 2
  .y = 12
 }
}


# ----------------------------------------------------------------------
#
# Database table privileges
#
# ----------------------------------------------------------------------

Window W_TablePrivileges {
 .w = 56
 .h = 14
 .x = -1
 .y = -1
 .help = "#TablePrivileges"
 .title = "DBUTIL - Manage Dataset Access"
 .f4 = EvntLog
 .f6 = EvntMenu
 .f7 = EvntOK
 .f8 = EvntCancel

 Model.OFLABEL St_Gruop {
  .x = 2
  .y = 2
  .text = "Group"
 }

 Model.OFIELD Group {
  .w = 40
  .x = 14
  .y = 2
 }

 Model.OFLABEL St_Set {
  .x = 2
  .y = 3
  .text = "Dataset"
 }

 Model.OFIELD Set {
  .w = 21
  .x = 14
  .y = 3
 }

 Model.LABEL St_TablePrivileges {
  .x = 2
  .y = 7
  .text = "Privileges"
 }

 Model.CHECK TablePrivRead {
  .x = 14
  .y = 7
  .text = "Read"
 }

 Model.CHECK TablePrivWrite {
  .x = 14
  .y = 8
  .text = "Read/Write"
 }

 Model.CHECK TablePrivErase {
  .x = 14
  .y = 9
  .text = "Erase"
 }

 Model.OK_btn Pb_ok {
  .x = 33
  .y = 12
 }

 Model.CANCEL_btn Pb_cancel {
  .x = 44
  .y = 12
 }

 Model.LOG_btn Pb_log {
  .x = 11
  .y = 12
 }

 Model.HELP_btn Pb_help {
  .x = 2
  .y = 12
 }
}

Window W_TablePrivList {
 .w = 60
 .h = 22
 .x = -1
 .y = -1
 .help = "#UserList"
 .title = "DBUTIL - Data Set Privileges"
 .cr = 1
 .f4 = EvntLog
 .f5 = EvntEdit
 .f8 = EvntCancel

 Model.LABEL St_Filter {
  .x = 2
  .y = 2
  .text = "&Filter"
 }

 Model.EDIT Filter {
  .w = 32
  .x = 9
  .y = 2
  .rule = 777
 }

 Model.CHECK ByName {
  .x = 46
  .y = 2
  .text = "By &Name"
  .rule = 778
 }

 Model.HEADER St_lb {
  .w = 56
  .x = 2
  .y = 4
  .text = "Set Name             Type"
  #        123 123456789.123456 X
 }

 Model.LIST Lb {
  .w = 56
  .h = 14
  .x = 2
  .y = 5
  .border = 0
  .rule = 1
 }

 Model.CLOSE_btn Pb_close {
  .x = 48
  .y = 20
 }

 Model.LOG_btn Pb_log {
  .x = 12
  .y = 20
 }

 Model.HELP_btn Pb_help {
  .x = 2
  .y = 20
 }
}


# ----------------------------------------------------------------------
#
# db properties
#
# ----------------------------------------------------------------------

Window W_DbPropertyList {
 .w = 60
 .h = 22
 .x = -1
 .y = -1
 .help = "#DbPropertyList"
 .title = "DBUTIL - Database Properties"
 .cr = 1
 .f4 = EvntLog
 .f5 = EvntEdit
 .f7 = EvntOK
 .f8 = EvntCancel

 Model.OFLABEL St_db {
  .x = 2
  .y = 2
  .text = "Database"
 }

 Model.OFIELD Db {
  .w = 40
  .x = 11
  .y = 2
 }

 Model.LABEL St_Filter {
  .x = 2
  .y = 4
  .text = "&Filter"
 }

 Model.EDIT Filter {
  .w = 32
  .x = 11
  .y = 4
  .rule = 777
 }

 Model.CHECK ByName {
  .x = 46
  .y = 4
  .text = "By &Name"
  .rule = 778
 }

 Model.HEADER St_lb {
  .w = 56
  .x = 2
  .y = 6
  .text = "Key                  Value                Flags"
  #        123456789.123456789. 123456789.123456789. 1
 }

 Model.LIST Lb {
  .w = 56
  .h = 12
  .x = 2
  .y = 7
  .border = 0
  .rule = 1
 }

 Model.OK_btn Pb_ok {
  .x = 37
  .y = 20
 }

 Model.CLOSE_btn Pb_close {
  .x = 48
  .y = 20
  .visible = 1
 }
 Model.CANCEL_btn Pb_cancel {
  .x = 48
  .y = 20
  .visible = 0
 }

 Model.NEW_btn Pb_create {
  .x = 21
  .y = 20
 }

 Model.LOG_btn Pb_log {
  .x = 12
  .y = 20
 }

 Model.HELP_btn Pb_help {
  .x = 2
  .y = 20
 }
}

Window W_DbPropertyProperties {
 .w = 56
 .h = 14
 .x = -1
 .y = -1
 .help = "#DbProperty"
 .title = "DBUTIL - Database Property"
 .f4 = EvntLog
 .f6 = EvntMenu
 .f7 = EvntOK
 .f8 = EvntCancel

 Model.LABEL St_PropKey {
  .x = 2
  .y = 2
  .text = "Key"
 }

 Model.EDIT PropKey {
  .w = 20
  .x = 14
  .y = 2
  .maxchars = 40
  .content = ""
 }

 Model.LABEL St_PropValue {
  .x = 2
  .y = 3
  .text = "Value"
 }

 Model.EDIT PropValue {
  .w = 20
  .x = 14
  .y = 3
  .maxchars = 40
  .content = ""
 }

 Model.LABEL St_PropertyFlags {
  .x = 2
  .y = 5
  .text = "Flags"
 }

 Model.CHECK PropFlagSystem {
  .x = 14
  .y = 5
  .text = "System"
  .sensitive = 0
 }
 Model.CHECK PropFlagImage3k {
  .x = 14
  .y = 6
  .text = "TurboIMAGE compatibility"
  .sensitive = 0
 }

 Model.OK_btn Pb_ok {
  .x = 33
  .y = 12
 }

 Model.CANCEL_btn Pb_cancel {
  .x = 44
  .y = 12
 }

 Model.DEL_btn Pb_delete {
  .x = 22
  .y = 12
 }

 Model.LOG_btn Pb_log {
  .x = 11
  .y = 12
 }

 Model.HELP_btn Pb_help {
  .x = 2
  .y = 12
 }
}


# ----------------------------------------------------------------------
#
# TurboIMAGE db properties
#
# ----------------------------------------------------------------------

Window W_HP3K_DbProperties {
 .w = 60
 .h = 20
 .x = -1
 .y = -1
 .help = "#HP3K_DbProperties"
 .title = "DBUTIL - TurboIMAGE Database Properties"
 .f4 = EvntLog
 .f6 = EvntMenu
 .f7 = EvntOK
 .f8 = EvntCancel

 Model.OFLABEL St_db {
  .x = 2
  .y = 2
  .text = "Database"
 }

 Model.OFIELD Db {
  .w = 40
  .x = 17
  .y = 2
 }

 # The HP3K_LANG property is returned with DBINFO mode 901.
 # It represents the language (and encoding) used with
 # the database, the value is defined by the MPE NLS id.
 # The default is 0 (US)

 Model.LABEL St_HP3K_LANG {
  .x = 2
  .y = 4
  .text = "Language ID"
 }

 Model.EDIT HP3K_LANG {
  .w = 4
  .x = 17
  .y = 4
  .maxchars = 4
  .content = ""
 }

 # The HP3K_CIUPDATE property is used to define the default
 # value of the CIUPDATE flag.
 #  0 Critical item update is disallowed (default).
 #  1 Critical item update is allowed.
 #  2 Critical item update is on.
 # The default is to allow the CIUPDATE flag.

 Model.LABEL St_HP3K_CIUPDATE {
  .x = 2
  .y = 6
  .text = "CIUPDATE Flag"
 }

 GroupBox HP3K_CIUPDATE {
  .x = 17
  .y = 6
  .h = 3
  .w = 40
  .border = 0

  Model.RADIO CIUPDATE_0 {
   .x = 0
   .y = 0
   .text = "Critical item update is disallowed"
  }
  Model.RADIO CIUPDATE_1 {
   .x = 0
   .y = 1
   .text = "Critical item update is allowed"
  }
  Model.RADIO CIUPDATE_2 {
   .x = 0
   .y = 2
   .text = "Critical item update is on"
  }
 }

 # The HP3K_SUBSYSTEM property is used to define the default
 # value of the SUBSYSTEM access.
 #  0 No access
 #  1 Read access
 #  3 Read/Write access (default)
 # The default is to allow Read/Write access.

 Model.LABEL St_HP3K_SUBSYSTEM {
  .x = 2
  .y = 10
  .text = "SUBSYSTEM"
 }
 Model.LABEL St_HP3K_SUBSYSTEM2 {
  .x = 2
  .y = 11
  .text = "Access"
 }

 GroupBox HP3K_SUBSYSTEM {
  .x = 17
  .y = 10
  .h = 3
  .w = 40
  .border = 0

  Model.RADIO SUBSYSTEM_0 {
   .x = 0
   .y = 0
   .text = "No access"
  }
  Model.RADIO SUBSYSTEM_1 {
   .x = 0
   .y = 1
   .text = "Read access"
  }
  Model.RADIO SUBSYSTEM_3 {
   .x = 0
   .y = 2
   .text = "Read/Write access"
  }
 }

 # The HP3K_BTREEMODE1 property is used to define the default
 # value of the betreemode1 flag.
 # 0 = disable, 1 = enable
 # The default is to enable the btreemode1 flag.

 Model.LABEL St_HP3K_BTREEMODE1 {
  .x = 2
  .y = 14
  .text = "Btree Mode1"
 }

 Model.CHECK HP3K_BTREEMODE1 {
  .x = 17
  .y = 14
  .text = "Btreemode1 is enabled"
 }

 # The HP3K_WILDCARD property is used to define the default
 # wildcard character for the btreemode1.
 # The default value is '@'
 
 Model.LABEL St_HP3K_WILDCARD {
  .x = 2
  .y = 15
  .text = "Wildcard"
 }

 Model.EDIT HP3K_WILDCARD {
  .w = 1
  .x = 17
  .y = 15
  .maxchars = 1
  .content = ""
 }

# # The HP3K_TPI property is used to enable/diable TPI products.
# # Even if present on the client side. 
# # 0 = disable, 1 = enable
# # The default is to enable a TPI product if present.
#
# Model.LABEL St_HP3K_TPI {
#  .x = 2
#  .y = 17
#  .text = "TPI product"
# }
#
# Model.CHECK HP3K_TPI {
#  .x = 17
#  .y = 17
#  .text = "TPI product is installed"
# }

 Model.OK_btn Pb_ok {
  .x = 37
  .y = 18
 }

 Model.CANCEL_btn Pb_cancel {
  .x = 48
  .y = 18
 }

 Model.LOG_btn Pb_log {
  .x = 11
  .y = 18
 }

 Model.HELP_btn Pb_help {
  .x = 2
  .y = 18
 }
}


# ----------------------------------------------------------------------
#
# select dataset
#
# ----------------------------------------------------------------------

Window W_SetSel {
 .w = 60
 .h = 22
 .x = -1
 .y = -1
 .help = "#SetSel"
 .title = "DBUTIL - Data Set selection"
 .cr = 1
 .f4 = EvntLog
 .f7 = EvntOK
 .f8 = EvntCancel

 Model.LABEL St_Filter {
  .x = 2
  .y = 2
  .text = "&Filter"
 }

 Model.EDIT Filter {
  .w = 16
  .x = 9
  .y = 2
  .rule = 777
 }

 Model.CHECK ByName {
  .x = 46
  .y = 2
  .text = "By &Name"
  .rule = 778
 }

 Model.HEADER St_lb {
  .w = 56
  .x = 2
  .y = 4
  .text = "Set Name"
  #        123 123456789.123456 1
 }

 Model.LIST Lb {
  .w = 56
  .h = 14
  .x = 2
  .y = 5
  .border = 0
  .rule = 1
 }

# used with single set selection

 Model.CLOSE_btn Pb_close {
  .x = 48
  .y = 20
  .visible = 1
 }

# used with multiple set selections

 Model.OK_btn Pb_ok {
  .x = 36
  .y = 20
  .visible = 0
 }
 Model.CANCEL_btn Pb_cancel {
  .x = 48
  .y = 20
  .visible = 0
 }

 Model.LOG_btn Pb_log {
  .x = 12
  .y = 20
 }

 Model.HELP_btn Pb_help {
  .x = 2
  .y = 20
 }
}


# ----------------------------------------------------------------------
#
# rename database
#
# ----------------------------------------------------------------------

Window W_DbRename {
 .w = 54
 .h = 14
 .x = -1
 .y = -1
 .help = "#DbRename"
 .title = "DBUTIL - Rename Database"
 .f4 = EvntLog
 .f7 = EvntOK
 .f8 = EvntCancel

 Model.OFLABEL St_db {
  .x = 2
  .y = 2
  .text = "Database"
 }

 Model.OFIELD Db {
  .w = 40
  .x = 11
  .y = 2
 }

 Model.TEXT St_1 {
  .x = 2
  .y = 4
  .text = "A database name must start with a letter and may"
 }
 Model.TEXT St_2 {
  .x = 2
  .y = 5
  .text = "include letters, digits, hyphen (-) and dot (.)"
 }
 Model.TEXT St_3 {
  .x = 2
  .y = 6
  .text = "characters (up 255 characters)."
 }

 Model.LABEL St_DbName {
  .x = 2
  .y = 8
  .text = "New database name"
 }

 Model.EDIT DbName {
  .w = 50
  .x = 2
  .y = 9
  .maxchars = 255
  .content = ""
 }

 Model.OK_btn Pb_ok {
  .x = 31
  .y = 12
 }

 Model.CANCEL_btn Pb_cancel {
  .x = 42
  .y = 12
 }

 Model.LOG_btn Pb_log {
  .x = 11
  .y = 12
 }

 Model.HELP_btn Pb_help {
  .x = 2
  .y = 12
 }
}


# ----------------------------------------------------------------------
#
# misc dialogs
#
# ----------------------------------------------------------------------

Window W_Log {
 .w = 60
 .h = 16
 .x = -1
 .y = -1
 .help = "#Log"
 .title = "DBUTIL - Log"
 .f8 = EvntCancel

 Model.MLTEXT Msg {
  .w = 56
  .h = 11
  .x = 2
  .y = 2
 }

 Model.CLOSE_btn Close {
  .x = 48
  .y = 14
 }

 Model.HELP_btn Help {
  .x = 2
  .y = 14
 }
}

Window W_SessionScript {
 .w = 54
 .h = 13
 .x = -1
 .y = -1
 .help = "#SaveSessionScript"
 .title = "DBUTIL - Create session script"
 .f7 = EvntOK
 .f8 = EvntCancel

 Model.TEXT St_1 {
  .x = 2
  .y = 2
  .text = "This dialog allows to save the session activity"
 }
 Model.TEXT St_2 {
  .x = 2
  .y = 3
  .text = "to a script file. This session script includes all"
 }
 Model.TEXT St_3 {
  .x = 2
  .y = 4
  .text = "activity during this session, including cancelled"
 }
 Model.TEXT St_6 {
  .x = 2
  .y = 5
  .text = "and future actions."
 }

 Model.LABEL St_ScriptFile {
  .x = 2
  .y = 7
  .text = "Script file name"
 }

 Model.EDIT ScriptFile {
  .w = 50
  .x = 2
  .y = 8
  .maxchars = 80
  .content = ""
 }

 Model.OK_btn Pb_ok {
  .x = 31
  .y = 11
 }

 Model.CANCEL_btn Pb_cancel {
  .x = 42
  .y = 11
 }

 Model.HELP_btn Pb_help {
  .x = 2
  .y = 11
 }
}

Window W_Cancel {
 .w = 58
 .h = 14
 .x = -1
 .y = -1
 .help = "#Cancel"
 .title = "DBUTIL - Discard changes"
 .f7 = EvntOK
 .f8 = EvntCancel

 Model.TEXT St_msg1 {
  .x = 2
  .y = 2
  .text = "You are about to discard your recent changes."
 }

 Model.TEXT St_msg2 {
  .x = 3
  .y = 4
  .text = "You have the option to save your work in a"
 }

 Model.TEXT St_msg3 {
  .x = 3
  .y = 5
  .text = "session script to apply them at a later time."
 }

 Model.TEXT St_msg4 {
  .x = 2
  .y = 10
  .text = "Do you want to discard changes ?"
 }

 Model.OK_btn Pb_ok {
  .x = 33
  .y = 12
  .text = "&7. Yes"
 }

 Model.CANCEL_btn Pb_cancel {
  .x = 46
  .y = 12
  #.text = "&8. No"
 }

 Model.HELP_btn Pb_help {
  .x = 2
  .y = 12
 }
}
